Assignments Assignments

Static Public Member Functions | Static Public Attributes | List of all members
Ray::RayTracingStats Struct Reference

`#include <shape.h>`

## Static Public Member Functions
static void | Reset (void)
static void | IncrementRayNum (unsigned int count=1)
static void | IncrementRayPrimitiveIntersectionNum (unsigned int count=1)
static void | IncrementRayBoundingBoxIntersectionNum (unsigned int count=1)
static void | IncrementConeBoundingBoxIntersectionNum (unsigned int count=1)
static size_t | RayNum (void)
static size_t | RayPrimitiveIntersectionNum (void)
static size_t | RayBoundingBoxIntersectionNum (void)
static size_t | ConeBoundingBoxIntersectionNum (void)

## Static Public Attributes
static std::atomic< size_t > | _RayNum
static std::atomic< size_t > | _RayPrimitiveIntersectionNum
static std::atomic< size_t > | _RayBoundingBoxIntersectionNum
static std::atomic< size_t > | _ConeBoundingBoxIntersectionNum

## Detailed Description

This class stores information about the number of rays cast and the number of ray-primitive intersections performed.

## Member Function Documentation

## ◆ ConeBoundingBoxIntersectionNum()

size_t RayTracingStats::ConeBoundingBoxIntersectionNum | ( | void |  | ) |
| static

## ◆ IncrementConeBoundingBoxIntersectionNum()

void RayTracingStats::IncrementConeBoundingBoxIntersectionNum | ( | unsigned int | count = 1 | ) |
| static

## ◆ IncrementRayBoundingBoxIntersectionNum()

void RayTracingStats::IncrementRayBoundingBoxIntersectionNum | ( | unsigned int | count = 1 | ) |
| static

## ◆ IncrementRayNum()

void RayTracingStats::IncrementRayNum | ( | unsigned int | count = 1 | ) |
| static

## ◆ IncrementRayPrimitiveIntersectionNum()

void RayTracingStats::IncrementRayPrimitiveIntersectionNum | ( | unsigned int | count = 1 | ) |
| static

## ◆ RayBoundingBoxIntersectionNum()

size_t RayTracingStats::RayBoundingBoxIntersectionNum | ( | void |  | ) |
| static

## ◆ RayNum()

size_t RayTracingStats::RayNum | ( | void |  | ) |
| static

## ◆ RayPrimitiveIntersectionNum()

size_t RayTracingStats::RayPrimitiveIntersectionNum | ( | void |  | ) |
| static

## ◆ Reset()

void RayTracingStats::Reset | ( | void |  | ) |
| static

## Member Data Documentation

## ◆ _ConeBoundingBoxIntersectionNum

std::atomic< size_t > RayTracingStats::_ConeBoundingBoxIntersectionNum
| static

## ◆ _RayBoundingBoxIntersectionNum

std::atomic< size_t > RayTracingStats::_RayBoundingBoxIntersectionNum
| static

## ◆ _RayNum

std::atomic< size_t > RayTracingStats::_RayNum
| static

## ◆ _RayPrimitiveIntersectionNum

std::atomic< size_t > RayTracingStats::_RayPrimitiveIntersectionNum
| static

The documentation for this struct was generated from the following files:

- Assignments/Ray/shape.h
- Assignments/Ray/shape.cpp